Index: other-projects/fft-ddr/summer-2014/trunk/FFDDR/Form1.Designer.cs
===================================================================
--- other-projects/fft-ddr/summer-2014/trunk/FFDDR/Form1.Designer.cs	(revision 29735)
+++ other-projects/fft-ddr/summer-2014/trunk/FFDDR/Form1.Designer.cs	(revision 29750)
@@ -29,57 +29,72 @@
         private void InitializeComponent()
         {
-            this.mainScreen = new System.Windows.Forms.PictureBox();
-            this.beatBox = new System.Windows.Forms.PictureBox();
-            this.beatBox1 = new System.Windows.Forms.PictureBox();
-            this.screen = new System.Windows.Forms.PictureBox();
-            this.screen2 = new System.Windows.Forms.PictureBox();
-            ((System.ComponentModel.ISupportInitialize)(this.mainScreen)).BeginInit();
-            ((System.ComponentModel.ISupportInitialize)(this.beatBox)).BeginInit();
-            ((System.ComponentModel.ISupportInitialize)(this.beatBox1)).BeginInit();
-            ((System.ComponentModel.ISupportInitialize)(this.screen)).BeginInit();
-            ((System.ComponentModel.ISupportInitialize)(this.screen2)).BeginInit();
+            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(FFDDR));
+            this.mainScreen1 = new System.Windows.Forms.PictureBox();
+            this.redLabel = new System.Windows.Forms.Label();
+            this.blueLabel = new System.Windows.Forms.Label();
+            this.greenLabel = new System.Windows.Forms.Label();
+            this.yellowLabel = new System.Windows.Forms.Label();
+            ((System.ComponentModel.ISupportInitialize)(this.mainScreen1)).BeginInit();
             this.SuspendLayout();
             // 
-            // mainScreen
+            // mainScreen1
             // 
-            this.mainScreen.Location = new System.Drawing.Point(417, 12);
-            this.mainScreen.Name = "mainScreen";
-            this.mainScreen.Size = new System.Drawing.Size(292, 260);
-            this.mainScreen.TabIndex = 1;
-            this.mainScreen.TabStop = false;
+            this.mainScreen1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("mainScreen1.BackgroundImage")));
+            this.mainScreen1.Location = new System.Drawing.Point(0, 0);
+            this.mainScreen1.Name = "mainScreen1";
+            this.mainScreen1.Size = new System.Drawing.Size(1187, 561);
+            this.mainScreen1.TabIndex = 6;
+            this.mainScreen1.TabStop = false;
             // 
-            // beatBox
+            // redLabel
             // 
-            this.beatBox.Location = new System.Drawing.Point(-2, -3);
-            this.beatBox.Name = "beatBox";
-            this.beatBox.Size = new System.Drawing.Size(67, 566);
-            this.beatBox.TabIndex = 2;
-            this.beatBox.TabStop = false;
+            this.redLabel.AutoSize = true;
+            this.redLabel.BackColor = System.Drawing.Color.Transparent;
+            this.redLabel.Font = new System.Drawing.Font("Moire", 18F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.redLabel.ForeColor = System.Drawing.Color.Red;
+            this.redLabel.Location = new System.Drawing.Point(12, 37);
+            this.redLabel.Name = "redLabel";
+            this.redLabel.Size = new System.Drawing.Size(29, 29);
+            this.redLabel.TabIndex = 7;
+            this.redLabel.Text = "0";
             // 
-            // beatBox1
+            // blueLabel
             // 
-            this.beatBox1.Location = new System.Drawing.Point(1060, -3);
-            this.beatBox1.Name = "beatBox1";
-            this.beatBox1.Size = new System.Drawing.Size(54, 566);
-            this.beatBox1.TabIndex = 3;
-            this.beatBox1.TabStop = false;
+            this.blueLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.blueLabel.AutoSize = true;
+            this.blueLabel.BackColor = System.Drawing.Color.Transparent;
+            this.blueLabel.Font = new System.Drawing.Font("Moire", 18F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.blueLabel.ForeColor = System.Drawing.Color.Aqua;
+            this.blueLabel.Location = new System.Drawing.Point(1143, 37);
+            this.blueLabel.Name = "blueLabel";
+            this.blueLabel.Size = new System.Drawing.Size(29, 29);
+            this.blueLabel.TabIndex = 8;
+            this.blueLabel.Text = "0";
             // 
-            // screen
+            // greenLabel
             // 
-            this.screen.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
-            this.screen.Location = new System.Drawing.Point(71, 12);
-            this.screen.Name = "screen";
-            this.screen.Size = new System.Drawing.Size(330, 330);
-            this.screen.TabIndex = 4;
-            this.screen.TabStop = false;
+            this.greenLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.greenLabel.AutoSize = true;
+            this.greenLabel.BackColor = System.Drawing.Color.Transparent;
+            this.greenLabel.Font = new System.Drawing.Font("Moire", 18F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.greenLabel.ForeColor = System.Drawing.Color.Lime;
+            this.greenLabel.Location = new System.Drawing.Point(1143, 489);
+            this.greenLabel.Name = "greenLabel";
+            this.greenLabel.Size = new System.Drawing.Size(29, 29);
+            this.greenLabel.TabIndex = 9;
+            this.greenLabel.Text = "0";
             // 
-            // screen2
+            // yellowLabel
             // 
-            this.screen2.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
-            this.screen2.Location = new System.Drawing.Point(724, 12);
-            this.screen2.Name = "screen2";
-            this.screen2.Size = new System.Drawing.Size(330, 330);
-            this.screen2.TabIndex = 5;
-            this.screen2.TabStop = false;
+            this.yellowLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.yellowLabel.AutoSize = true;
+            this.yellowLabel.BackColor = System.Drawing.Color.Transparent;
+            this.yellowLabel.Font = new System.Drawing.Font("Moire", 18F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.yellowLabel.ForeColor = System.Drawing.Color.Yellow;
+            this.yellowLabel.Location = new System.Drawing.Point(12, 489);
+            this.yellowLabel.Name = "yellowLabel";
+            this.yellowLabel.Size = new System.Drawing.Size(29, 29);
+            this.yellowLabel.TabIndex = 10;
+            this.yellowLabel.Text = "0";
             // 
             // FFDDR
@@ -87,19 +102,19 @@
             this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+            this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
             this.ClientSize = new System.Drawing.Size(1184, 561);
-            this.Controls.Add(this.screen2);
-            this.Controls.Add(this.screen);
-            this.Controls.Add(this.beatBox1);
-            this.Controls.Add(this.beatBox);
-            this.Controls.Add(this.mainScreen);
+            this.Controls.Add(this.yellowLabel);
+            this.Controls.Add(this.greenLabel);
+            this.Controls.Add(this.blueLabel);
+            this.Controls.Add(this.redLabel);
+            this.Controls.Add(this.mainScreen1);
+            this.DoubleBuffered = true;
             this.Name = "FFDDR";
             this.Text = "FFDDR";
             this.Load += new System.EventHandler(this.FFDDR_Load);
-            ((System.ComponentModel.ISupportInitialize)(this.mainScreen)).EndInit();
-            ((System.ComponentModel.ISupportInitialize)(this.beatBox)).EndInit();
-            ((System.ComponentModel.ISupportInitialize)(this.beatBox1)).EndInit();
-            ((System.ComponentModel.ISupportInitialize)(this.screen)).EndInit();
-            ((System.ComponentModel.ISupportInitialize)(this.screen2)).EndInit();
+            this.Resize += new System.EventHandler(this.FFDDR_Resize);
+            ((System.ComponentModel.ISupportInitialize)(this.mainScreen1)).EndInit();
             this.ResumeLayout(false);
+            this.PerformLayout();
 
         }
@@ -107,9 +122,9 @@
         #endregion
 
-        private System.Windows.Forms.PictureBox mainScreen;
-        private System.Windows.Forms.PictureBox beatBox;
-        private System.Windows.Forms.PictureBox beatBox1;
-        private System.Windows.Forms.PictureBox screen;
-        private System.Windows.Forms.PictureBox screen2;
+        private System.Windows.Forms.PictureBox mainScreen1;
+        private System.Windows.Forms.Label redLabel;
+        private System.Windows.Forms.Label blueLabel;
+        private System.Windows.Forms.Label greenLabel;
+        private System.Windows.Forms.Label yellowLabel;
     }
 }
